INSMOD(8)

NUME

insmod - program simplu pentru a insera un modul în nucleul Linux

SINOPSIS

insmod [OPȚIUNI] [nume_fișier] [modul opțiuni]

DESCRIERE

insmod este un simplu program pentru a insera un modul în nucleu. Majoritatea utilizatorilor vor dori să folosească în schimb modprobe(8), care este mai inteligent și poate gestiona dependențele de module.

Sunt raportate doar cele mai generale mesaje de eroare: deoarece activitatea de încercare de conectare a modulului se face acum în interiorul nucleului, dmesg oferă de obicei mai multe informații despre erori.

OPȚIUNI

-f, --force
    Această opțiune poate fi extrem de periculoasă: îi spune nucleului să ignore versiunea modulului și câmpurile vermagic la încărcare. Cu această opțiune, puteți încărca module construite local sau de terțe părți, deși acest lucru poate duce la coruperea memoriei, blocarea sistemului și pierderea datelor.

-s, --syslog
    Trimite erorile la syslog în loc de la ieșirea de erori standard.

-v, --verbose
    Afișează mesaje despre ceea ce face programul. De obicei insmod afișează mesaje numai dacă ceva nu merge bine.

-V, --version
    Afișează versiunea programului și iese.

-h, --help
    Afișează mesajul de ajutor și iese.

DREPTURI DE AUTOR

Această pagină de manual este inițial cu drepturi de autor 2002, Rusty Russell, IBM Corporation.

CONSULTAȚI ȘI

modprobe(8), rmmod(8), lsmod(8), modinfo(8), depmod(8)

ERORI

Vă rugăm să transmiteți orice raport de eroare la sistemul de urmărire a erorilor al kmod la https://github.com/kmod-project/kmod/issues/, împreună cu versiunea utilizată, pașii de reproducere a problemei și rezultatul așteptat.

AUTORI

Numeroase contribuții au venit de pe lista de discuții linux-modules <linux-modules@vger.kernel.org> și din Github. Dacă aveți o clonă de kmod.git în sine, ieșirea din git-shortlog(1) și git-blame(1) vă poate arăta autorii pentru anumite părți ale proiectului.

Lucas De Marchi <lucas.de.marchi@gmail.com> este responsabilul actual al proiectului.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.